Bug 1271806 - [GSS](6.4.z) Verify if a SQLException is fatal in all methods
[GSS](6.4.z) Verify if a SQLException is fatal in all methods
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: JCA (Show other bugs)
6.4.4
Unspecified Unspecified
unspecified Severity unspecified
: CR2
: EAP 6.4.5
Assigned To: Bartek Spyrko-Smietanko
Jan Martiska
:
Depends On:
Blocks: 1235745 1278301
  Show dependency treegraph
 
Reported: 2015-10-14 15:02 EDT by jolee
Modified: 2017-01-17 06:43 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-01-17 06:43:51 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker JBJCA-1297 Major Closed Verify if a SQLException is fatal in all methods 2017-03-22 08:20 EDT

  None (edit)
Description jolee 2015-10-14 15:02:55 EDT
Please refer to https://issues.jboss.org/browse/JBJCA-1297.
Comment 1 Bartek Spyrko-Smietanko 2015-10-16 07:21:26 EDT
Ported to 1.1 and 1.0 branches.

PR 1.1: https://github.com/ironjacamar/ironjacamar/pull/403
PR 1.0: https://github.com/ironjacamar/ironjacamar/pull/402
Comment 4 Jan Martiska 2015-11-04 07:16:09 EST
Verified with EAP 6.4.5.CR1.
Comment 5 hsvabek 2015-11-09 09:41:11 EST
We actually founded regression.

There are switched lines in BaseWrapperManagedConnection.setJdbcTransactionIsolation().
After this change is not propagated new isolation level to the underlying connection.

https://github.com/ironjacamar/ironjacamar/commit/9734a8baeb860e2af46d39bfbb0c987729316422#diff-70c384d81f51a95051c8075bb9b87b63R1054
Comment 6 Bartek Spyrko-Smietanko 2015-11-09 10:18:47 EST
PR with a fix: https://github.com/ironjacamar/ironjacamar/pull/433
Comment 7 Vaclav Tunka 2015-11-09 11:15:48 EST
PR merged, moving to MODIFIED.
Comment 8 Jan Martiska 2015-11-12 05:53:59 EST
Verified with EAP 6.4.5.CR2.
Comment 9 JBoss JIRA Server 2016-01-06 13:03:09 EST
Jesper Pedersen <jpederse@redhat.com> updated the status of jira JBJCA-1297 to Closed
Comment 10 Petr Penicka 2017-01-17 06:43:51 EST
Retroactively bulk-closing issues from released EAP 6.4 cumulative patches.

Note You need to log in before you can comment on or make changes to this bug.